From 69a1e620e600e7f1dff8a6e39dd19eff8cdb398c Mon Sep 17 00:00:00 2001
From: Duncan Bellamy <dunk@denkimushi.com>
Date: Sun, 13 Mar 2022 16:22:39 +0000
Subject: [PATCH] nasm-wrapper: ignore -O flags passed

Fixes: https://tracker.ceph.com/issues/54545
Signed-off-by: Duncan Bellamy <dunk@denkimushi.com>
---
 src/nasm-wrapper | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/nasm-wrapper b/src/nasm-wrapper
index e67da7cba1a47..84da2cb23e2df 100755
--- a/src/nasm-wrapper
+++ b/src/nasm-wrapper
@@ -37,6 +37,10 @@ while [ -n "$*" ]; do
         refine_nasm_options+=" -i $1"
         shift
         ;;
+    -O* )
+        # ignore C optimisations
+        shift
+        ;;
     * )
         # Keep other options
         refine_nasm_options+=" $1"
